import 'package:flutter/material.dart';
import 'events.dart';

mixin ShowDescImageAdd<T extends StatefulWidget> on State<T> {
  void showDescImageAddDialog(BuildContext context, var events) {
    // Create AlertDialog
    String name = events['name'];
    AlertDialog dialog = AlertDialog(
      title: Text("Ajouter un evenement"),
      content: Text("${name} n'a pas été trouvé. Voulez-vous l'ajouter ? "),
      actions: [
        ElevatedButton(
            child: Text("Oui"),
            style: ElevatedButton.styleFrom(
                padding: EdgeInsets.symmetric(horizontal: 50, vertical: 20),
                textStyle:
                    TextStyle(fontSize: 15, fontWeight: FontWeight.normal)),
            onPressed: () {
              Navigator.of(context).pop("Yes, Of course!"); // Return value
            }),
        ElevatedButton(
            child: Text("Non"),
            style: ElevatedButton.styleFrom(
                padding: EdgeInsets.symmetric(horizontal: 50, vertical: 20),
                textStyle:
                    TextStyle(fontSize: 15, fontWeight: FontWeight.normal)),
            onPressed: () {
              Navigator.of(context).pop("Yes, Of course!"); // Return value
            }),
      ],
    );

    // Call showDialog function to show dialog.
    Future futureValue = showDialog(
        context: context,
        builder: (BuildContext context) {
          return dialog;
        });
  }
}
